import sys, logging, datetime
# import workshop util script
sys.path.insert(0, "../util")
import util
from lxml import etree

def init():
    util.initLogger()
    util.registerXSLT('urn:ebv:transforms:transform_de_to_eu', './transform_de_to_eu.xsl')

def transform(input):
    # read XML Message
    infoSet = etree.parse(input)
    testIndicator = 'true'
    utc = datetime.datetime.utcnow()
    
    mlacase_eu = util.transform('urn:ebv:transforms:transform_de_to_eu',
                                           infoSet,
                                           TestIndicator=util.xsltParam(testIndicator),
                                           DateTimeNow=util.xsltParam(utc.date().isoformat()+'T'+utc.time().isoformat()+'Z')
                                           )
    return mlacase_eu

def main():
    init()
    if len(sys.argv) == 2:
        logging.debug('Start')
        print 'Reading DE_MLACase message: %s' % sys.argv[1]
        mlacase_eu = transform(sys.argv[1])
        output = 'result.xml'
        print 'Writing e-CODEX MLACase message: %s' % output
        util.serialize(mlacase_eu, output)
    else:
        print 'Usage: python %s DE_MLACase_Message_File' % sys.argv[0]
    logging.debug('Finish')

if __name__ == "__main__":
    main()
